All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class NodeState

    com.sas.visuals.NodeState

    public class NodeState

NodeState is a class used to store the state of a NodeView object.

See Also:
  `NodeView`

Field Summary
`OrderedCollection` | `children` Contains the states of any child nodes.
`PropertyBagInterface` | `defaultNodeStyle`
`boolean` | `expanded` Contains the value of the expanded property.
`PropertyBagInterface` | `nodeStyle`
`boolean` | `selected` Contains the value of the selected property.

Constructor Summary
`NodeState()` Constructs a default NodeState object with the state fields uninitialized.
`NodeState(NodeView node)` Constructs a NodeState object initializing the fields with the appropriate property values from the specified NodeView object.

Field Detail

### selected

    public boolean selected

  Contains the value of the selected property.

### expanded

    public boolean expanded

  Contains the value of the expanded property.

### children

    public OrderedCollection children

  Contains the states of any child nodes.

### defaultNodeStyle

    public PropertyBagInterface defaultNodeStyle

### nodeStyle

    public PropertyBagInterface nodeStyle

Constructor Detail

### NodeState

    public NodeState()

  Constructs a default NodeState object with the state fields uninitialized.

### NodeState

    public NodeState(NodeView node)

  Constructs a NodeState object initializing the fields with the appropriate property values from the specified NodeView object.

  Parameters:
    `node` - the node to use to obtain the initial state values from

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.